> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siray.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Seedance 1.0 Lite t2v



## OpenAPI

````yaml openapi-spec/seedance-1.0-lite-t2v.json POST /v1/video/generations
openapi: 3.1.0
info:
  description: >-
    ByteDance Seedance 1.0 Lite T2V model. Fast, cost-effective 720p
    Text-to-Video AI for rapid synthesis and mass creative video generation.
  summary: API for Seedance 1.0 Lite t2v model
  title: Seedance 1.0 Lite t2v API
  version: 1.0.0
servers:
  - description: Model Verse API Server
    url: https://api.siray.ai
security: []
tags:
  - description: >-
      Seedance 1.0 Lite t2v - ByteDance Seedance 1.0 Lite T2V model. Fast,
      cost-effective 720p Text-to-Video AI for rapid synthesis and mass creative
      video generation.
    name: Seedance 1.0 Lite t2v
paths:
  /v1/video/generations:
    post:
      tags:
        - Seedance 1.0 Lite t2v
      summary: Generate video
      description: Generate a video using the Seedance 1.0 Lite t2v model
      operationId: video_model-519g9ovx8qbqerel
      requestBody:
        content:
          application/json:
            example:
              aspect_ratio: '16:9'
              duration: 5
              model: bytedance/seedance-1.0-lite-t2v
              prompt: example_value
              size: 720p
            schema:
              description: Request format for video generation models
              properties:
                aspect_ratio:
                  description: Aspect ratio
                  enum:
                    - '16:9'
                    - '4:3'
                    - '1:1'
                    - '3:4'
                    - '9:16'
                    - '21:9'
                  type: string
                duration:
                  description: Fixed duration
                  enum:
                    - 5
                    - 10
                  type: integer
                model:
                  description: Model name to use for the request
                  enum:
                    - bytedance/seedance-1.0-lite-t2v
                  type: string
                prompt:
                  description: Text prompt for generation
                  type: string
                size:
                  description: Size
                  enum:
                    - 720p
                  type: string
              required:
                - model
                - prompt
                - duration
                - size
                - aspect_ratio
              title: Video Generation Request
              type: object
        description: Request payload
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskResponse'
          description: Successful response
      security:
        - bearerAuth: []
components:
  schemas:
    TaskResponse:
      description: Standard async task creation response
      properties:
        code:
          description: Status code returned by the service
          example: success
          type: string
        data:
          description: Response payload containing task details
          properties:
            task_id:
              description: Identifier of the created task
              type: string
          required:
            - task_id
          type: object
        message:
          description: Additional information about the request result
          type: string
      required:
        - data
        - code
        - message
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: API Key
      description: Bearer authentication using API key
      scheme: bearer
      type: http

````